> ## Documentation Index
> Fetch the complete documentation index at: https://docs.playbook3d.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Gets the current Playbook User



## OpenAPI

````yaml get /users
openapi: 3.1.0
info:
  title: Playbook API Documentation
  description: >-
    This is the documentation for the Playbook API. You can use this API to use
    our service programmatically, this is done by using your API key. <br/> You
    can view your API key using the 'User' tab on https://beta.playbook3d.com/.
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /users:
    get:
      tags:
        - get-users
      summary: Gets the current Playbook User
      description: Gets the current Playbook User
      operationId: get-users
      parameters:
        - description: >-
            Your API key. This is required by most endpoints to access our API
            programatically. You can view your x-api-key using the 'Profile' tab
            on the website.
          required: true
          schema:
            type: string
            title: X-Api-Key
            description: >-
              Your API key. This is required by most endpoints to access our API
              programatically. You can view your x-api-key using the 'Profile'
              tab on the website.
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  cognito_id:
                    type: string
                  tier_id:
                    type: string
                  email:
                    type: string
                  status:
                    type: string
                  user_type:
                    type: string
                  name:
                    type: string
                  gpu_usage_total:
                    type: integer
                  gpu_usage_billing_period:
                    type: integer
                example:
                  id: uuid
                  cognito_id: uuid
                  tier_id: uuid
                  email: user@domain.com
                  status: Active
                  user_type: normal
                  name: John Doe
                  gpu_usage_total: 250
                  gpu_usage_billing_period: 250
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            from playbookNetworkClient import PlaybookClient

             def setup(self):
             self.playbookClient = PlaybookClient()
             self.playbookClient.set_api_key({your api key})

             def get_user(self):
              user = self.playbookClient.get_user_data()
        - lang: JavaScript
          source: ''
        - lang: C#
          source: ''
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items: 3bd63c7e-c2b9-44a8-a21c-342e5c3e1b0a
          type: array
          title: Detail
      type: object
      title: HTTPValidationError

````